// *F* Developed 2011-2014 rejecht <rejecht at outlook dot com>

class Award_Death extends Award
	abstract
	HideDropdown
	;

var private const localized string CamperString;
var private const name CamperSoundName;

// #Queries

static function string GetCaptionString (int AwardIndex)
{
	return Default.CamperString;
}

// #Announcements

protected static function Announcement
(
	PlayerController PC,
	optional int AwardIndex,
	optional int Points,
	optional int Multiplier,
	optional int PlayerID
)
{
	switch (AwardIndex)
	{
		case 0:

			PC.PlayRewardAnnouncement (Default.CamperSoundName, 1, True);
			break;

		default:
			break;
	}
}

// #Dispatch

static function ClientReceive
(
	PlayerController PC,
	optional int AwardIndex,
	optional int Points,
	optional int Multiplier,
	optional int PlayerID
)
{
	if
	(
		(AwardIndex > -1)
		&&
		(AwardIndex < 1)
	)
	{
		Super.ClientReceive (PC, AwardIndex, Points, Multiplier, PlayerID);


		Announcement (PC, AwardIndex, Points, Multiplier, PlayerID);
	}
	else
	{
		Warn ("(AwardIndex <> Count_Awards)");
	}
}

// #

DefaultProperties
{
	CamperString = "Camper!"
	CamperSoundName = Camper
}
