// *F* Developed 2011-2014 rejecht <rejecht at outlook dot com>

class Award_Kill extends Award
	abstract
	;

const AwardCount = 3;
var private localized const string CaptionString[AwardCount];

// #Queries

static function string GetCaptionString (int AwardIndex)
{
	return default.CaptionString[AwardIndex];
}

static function Color GetCaptionColor (int AwardIndex)
{
	return Default.PurpleCaptionColor;
}

// #Dispatch

static function ClientReceive
(
	PlayerController PC,
	optional int AwardIndex,
	optional int Points,
	optional int Multiplier,
	optional int PlayerID
)
{
	if
	(
		(AwardIndex > -1)
		&&
		(AwardIndex < AwardCount)
	)
	{
		Super.ClientReceive (PC, AwardIndex);
	}
	else
	{
		Warn ("(AwardIndex (" $ AwardIndex $ ") <> AwardCount (" $ AwardCount $ "))");
	}
}

// #

DefaultProperties
{
	CaptionString(0) = "If All Else Fails"
	CaptionString(1) = "Incinerator"
	CaptionString(2) = "Pushy"
}
