// *F* Developed 2011-2014 rejecht <rejecht at outlook dot com>

class Emitter_SpawnEffectRedOut extends NewTransDeresRed
	HideDropdown
	;

// #

const IndexTeam_Max = 2;
const IndexTeam_A = 0;
const IndexTeam_B = 1;
const IndexTeam_Unspecified = 255;

// #

simulated event PostBeginPlay ()
{
	local RePlayer PC;
	local Color Color_Relative;

	PC = RePlayer(Level.GetLocalPlayerController ());

	if
	(
		(class'PlayerSettings'.static.GetBodySkinColoring () == ES_Relative)
		&&
		(PC != None)
	)
	{
		Color_Relative = class'PlayerSettings'.static.ClientSkins_GetColorBody_Relative (PC.GetTeamNum (), IndexTeam_A);

		Emitters[0].ColorScale[1].Color = Color_Relative;
		Emitters[0].ColorScale[2].Color = Color_Relative * class'PlayerSettings'.default.ScaledCustomSkinColor;
	}

	super.PostBeginPlay ();
}

// #

DefaultProperties
{
	bGameRelevant = True // *UT2004Fix*
}
