// *F* Developed 2014 rejecht <rejecht at outlook dot com>

class LocalMessage_GameEvents extends CriticalEventPlus
	abstract
	;

// #Rendering

static event RenderComplexMessage
(
	Canvas Canvas,
	out float XL,
	out float YL,
	optional string MessageString,
	optional int IndexSymbol,
	optional PlayerReplicationInfo RelatedPRI_1_Subject,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	if (Canvas.DrawColor.A < (Default.DrawColor.A / Default.Lifetime))
	{
		Canvas.DrawColor.A = Canvas.DrawColor.A * Default.Lifetime;
	}
	else
	{
		Canvas.DrawColor.A = Default.DrawColor.A;
	}

	Canvas.DrawText (MessageString, True);
}

// #Dispatch

static event ClientReceive
(
	PlayerController PC,
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
// 	if (PC.Level.NetMode == NM_Client)
// 	{
// 		Super.ClientReceive (PC, Context, RelatedPRI_1, RelatedPRI_2, O);
//     }

	Super.ClientReceive (PC, Context, RelatedPRI_1, RelatedPRI_2, O);
}

// #

DefaultProperties
{
	// LocalMessage

	bComplexString = True
	bIsConsoleMessage = False
	bIsUnique = True
	DrawColor = (R=255,G=255,B=255,A=255)
	FontSize = -2
	Lifetime = 3
	PosY = 0.1
	StackMode = SM_Down
}
