// *F* Developed 2011-2014 rejecht <rejecht at outlook dot com>

class LocalMessage_Spectator extends LocalMessage
	abstract
	;

// #Queries

static event string GetString
(
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	return Class'Engine.PlayerController'.Default.OwnCamera;
}

// #Replication

protected static function bool ClientReady (PlayerController PC)
{
	if
	(
		(PC.PlayerReplicationInfo == None)
		||
		(PC.GameReplicationInfo == None)
	)
	{
		return False;
	}

	return True;
}

// #Dispatch

static event ClientReceive
(
	PlayerController PC,
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	if (ClientReady (PC))
	{
		Super.ClientReceive (PC, Context, RelatedPRI_1, RelatedPRI_2, O);
	}
}

// #

DefaultProperties
{
	// LocalMessage

	bFadeMessage = True
	bComplexString = True
	bIsConsoleMessage = False
	bIsUnique = True

	DrawColor = (R=255,G=255,B=0,A=255)
	Lifetime = 2
	PosX = 0.5
	PosY = 0.2
	StackMode = SM_None
}
