// *F* Developed 2011-2014 rejecht <rejecht at outlook dot com>

class LocalMessage_TeamSay extends TeamSayMessagePlus
	abstract
	;

// #Queries

static event Color GetConsoleColor (PlayerReplicationInfo RelatedPRI_1)
{
	if (RelatedPRI_1 != None)
	{
		if (RelatedPRI_1.bOnlySpectator)
		{
			return Class'PlayerSettings'.default.SpectatorTeamSayColor;
		}
		else if (RelatedPRI_1.Team != None)
		{
			return Class'PlayerSettings'.default.PlayerTeamSayColor;
		}
		else
		{
			return Class'PlayerSettings'.default.PlayerTeamSayColor;
		}
	}
	else
	{
		return Class'PlayerSettings'.default.SpectatorTeamSayColor;
	}
}

static event string AssembleString
(
	HUD HUD,
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional string MessageString
)
{
	local string LocationNameString;

	if (RelatedPRI_1 != None)
	{
		if (!RelatedPRI_1.bOnlySpectator)
		{
			LocationNameString = RelatedPRI_1.GetLocationName ();

			if (LocationNameString != "")
			{
				return
				(
					Class'ReUtility'.static.GetPlayerNameString (RelatedPRI_1)
					@ "("
					$ LocationNameString
					$ ")"
					$ ":"
					@ MessageString
				);
			}
			else
			{
				return
				(
					Class'ReUtility'.static.GetPlayerNameString (RelatedPRI_1)
					$ ":"
					@ MessageString
				);
			}
		}
		else
		{
			return
			(
				Class'ReUtility'.static.GetPlayerNameString (RelatedPRI_1)
				$ ":"
				@ MessageString
			);
		}
	}
	else
	{
		return "";
    }
}

// #

static event ClientReceive
(
	PlayerController PC,
	optional int Amount,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
}

// #

DefaultProperties
{
	bIsConsoleMessage = False // See: PlayerController.TeamMessage
}
