// *F* Developed 2014 rejecht <rejecht at outlook dot com>

class LocalMessage_Victim extends xVictimMessage
	abstract
	;

// "You were killed by player (name of damage type)"

static event string GetString
(
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1, // Victim
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O // DamageType
)
{
	local Class<DamageType> DamageTypeClass;

	DamageTypeClass = Class<DamageType>(O);

	if
	(
		Class'PlayerSettings'.Default.bShowVictimDamageType
		&&
		(DamageTypeClass != None)
	)
	{
		return
		(
			Default.YouWereKilledBy
			@ Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1)
			$ Default.KilledByTrailer
			@ "("
			$ Class'ReUtility'.Static.GetDamageTypeString (DamageTypeClass)
			$ ")"
		);
    }
    else
    {
		return
		(
			Default.YouWereKilledBy
			@ Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1)
			$ Default.KilledByTrailer
		);
    }
}

// #

DefaultProperties
{
}
