// *F* Developed 2011-2014 rejecht <rejecht at outlook dot com>

class ScoreRecoveryObject extends Info
	abstract
	;

// #

var(Once) float CreationTime;
var(Once) string PlayerIdentifierString;

var int RestoreCount;
var int DisconnectCount;

// #

protected function IncrementDisconnects ()
{
	if (DisconnectCount < MAXINT)
	{
		++DisconnectCount;
    }
}

protected function IncrementRestores ()
{
	if (RestoreCount < MAXINT)
	{
		++RestoreCount;
    }
}

// #

function Update (RePlayer RePC)
{
	IncrementDisconnects ();

	Log ("[" $ Class'ReUtility'.Static.GetLocalTimeString (Level) $ "] PLAYER DATA SAVED <" $ PlayerIdentifierString $ "> Disconnect #" $ DisconnectCount);
}

function Restore (RePlayer RePC)
{
	IncrementRestores ();

	Log ("[" $ Class'ReUtility'.Static.GetLocalTimeString (Level) $ "] PLAYER DATA RESTORED <" $ PlayerIdentifierString $ "> Restore #" $ RestoreCount);
}

// #

DefaultProperties
{
	bAlwaysRelevant = True
	bHidden = True
	bOnlyDirtyReplication = True
	bSkipActorPropertyReplication = True
	Lifespan = 0

	NetUpdateFrequency = 10.0

	RemoteRole = ROLE_None
}
