// *F* Developed 2013-2014 rejecht <rejecht at outlook dot com>

class TeamSummary extends Actor
	;

const TeamSizeLimit = 16;

// - The index is the row of data associated with one player
// identified by the RePRI.

var(Replicated) RePRI RePRI[TeamSizeLimit];
var(Replicated) Vector Position[TeamSizeLimit];
var(Replicated) int HitPoints[TeamSizeLimit], MaximumHitPoints[TeamSizeLimit];
var(Replicated) byte Flags[TeamSizeLimit];

replication
{
	unreliable if (bNetOwner && (Role == ROLE_Authority))
		RePRI,
		Position,
		HitPoints,
		MaximumHitPoints,
		Flags;
}

// #

DefaultProperties
{
	// Actor

	bHidden = True

	bOnlyDirtyReplication = True

	bOnlyRelevantToOwner = True

	bReplicateMovement = False

	bSkipActorPropertyReplication = True

	RemoteRole = ROLE_SimulatedProxy

	NetPriority = 0.5
	NetUpdateFrequency = 3.0
}
