// *F* Developed 2013-2014 rejecht <rejecht at outlook dot com>

class xFrozenGibGroup extends xBotGibGroup
	;

// #

static event class<Gib> GetGibClass (EGibType GibType)
{
    return Default.Gibs[0];
}

static event Class<xEmitter> GetBloodEmitClass ()
{
	if (Class'Engine.GameInfo'.Static.UseLowGore ())
	{
		if (Class'Engine.GameInfo'.static.NoBlood ())
		{
			return Default.NoBloodEmitClass;
        }


 		return Default.LowGoreBloodEmitClass;
 	}


    return Default.BloodEmitClass;
}

// #

DefaultProperties
{
	// Caching

	Gibs(0) = Class'GibCube'
	Gibs(1) = Class'GibCube'
	Gibs(2) = Class'GibCube'
	Gibs(3) = Class'GibCube'
	Gibs(4) = Class'GibCube'
	Gibs(5) = Class'GibCube'

	LowGoreBloodEmitClass = Class'GibIceEffect'
	BloodEmitClass = Class'GibIceEffect'

    BloodHitClass = Class'GibIceEffect'
    LowGoreBloodHitClass = Class'GibIceEffect'

    BloodGibClass = Class'GibIceEffect'
    LowGoreBloodGibClass = Class'GibIceEffect'

    NoBloodEmitClass = Class'GibIceEffect'
    NoBloodHitClass = Class'GibIceEffect'

	GibSounds(0) = Sound'WeaponSounds.BaseGunTech.BGrenfloor1'
	GibSounds(1) = Sound'WeaponSounds.BaseGunTech.BGrenfloor1'
	GibSounds(2) = Sound'WeaponSounds.BaseGunTech.BGrenfloor1'
}
