// Developed 2011-2013 rejecht <rejecht at outlook dot com>

class LocalMessage_PlayerName extends PlayerNameMessage
	abstract
	;

// #Queries

static event Color GetColor
(
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2
)
{
	local Color NewDrawColor;

	if (Context == 0)
	{
		if (!Class'PlayerSettings'.Default.bTeamColoredEnemyName)
		{
			NewDrawColor = Default.DrawColor;
		}
		else
		{
			NewDrawColor = Class'ReUtility'.Static.GetPlayerColor (RelatedPRI_1);
		}
    }
    else if (Context == 1)
    {
		NewDrawColor = Class'ReFreon_Player'.Default.ColorThawing;
    }
    else
    {
		NewDrawColor = Default.DrawColor;
    }

	NewDrawColor.A = 200;

	return NewDrawColor;
}

// Allow player to adjust font size through User.ini.

static event int GetFontSize
(
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional PlayerReplicationInfo LocalPlayer
)
{
	return Class'PlayerSettings'.Default.EnemyNameFontSize;
}

static event string GetString
(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	return Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1);
}

// #

DefaultProperties
{
}
