// *F* Developed 2013-2014 rejecht <rejecht at outlook dot com>

class LocalMessage_Thawed extends LocalMessage
	abstract
	HideDropdown
	;

var(ConstantStrings) private localized const string
	YouThawedStringPrefix,
	YouThawedStringSuffix,
	YouHelpedThawStringPrefix,
	YouHelpedThawStringSuffix
	;

// #Queries

static event string GetString
(
	optional int Thawers,
	optional PlayerReplicationInfo RelatedPRI_1_Subject,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	if (Thawers > 1)
	{
		return
		(
			Default.YouHelpedThawStringPrefix
			$ Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1_Subject)
			$ Default.YouHelpedThawStringSuffix
		);
    }
    else
    {
		return
		(
			Default.YouThawedStringPrefix
			$ Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1_Subject)
			$ Default.YouThawedStringSuffix
		);
    }
}

// #

DefaultProperties
{
	YouThawedStringPrefix = "YOU THAWED "
	YouHelpedThawStringPrefix = "YOU HELPED THAW "

	// LocalMessage

	bFadeMessage = True
	bIsConsoleMessage = False
	bIsUnique = True
	bIsPartiallyUnique = False

	DrawColor = (R=170,G=180,B=210,A=255)
	Lifetime = 2
	PosX = 0.5
	PosY = 0.7
	StackMode = SM_Down
}
