// *F* Developed 2013 rejecht <rejecht at outlook dot com>

class PlayerRegion extends Info
	;

// #

// - When players log in, they can pass along their CountryCode.
// - Replace this class through UT2004.ini to add the CountryCode based
// on a database of IP addresses, thus overriding the player.
// - Note that the CountryCode is always limited to two characters and
// consists of [A, Z].  This meets the assumptions on the client.
// - Bots always have a blank CountryCode.
//
// Context:
// - GameInfo.Login ()
// Preconditions:
// - (OtherPC != None)
// - (OtherRePRI != None)
// Postconditions:
// - OtherRePRI.CountryCode is updated to a valid two-letter country code
// or set to "".

function UpdateCountryCode (PlayerController OtherPC, RePRI OtherRePRI, string PlayerSpecifiedCountryCode)
{
	OtherRePRI.CountryCode = PlayerSpecifiedCountryCode;
}

// #

DefaultProperties
{
}
