// Developed 2011-2013 rejecht <rejecht at outlook dot com>

class ReCheatManager extends CheatManager;

// *UT2004Fix*
// - Original implementation called ClientRestart instead of
// Restart (), thus preventing the Pawn from re-entering
// a walking state.  The error was triggered after fixing
// ClientRestart ().

exec event Walk ()
{
	bCheatFlying = false;

	if
	(
		(Pawn != None)
		&&
		Pawn.CheatWalk ()
	)
	{
		Restart ();
	}
}

// - Required for round-based team games.

exec event WinMatch ()
{
	local float Score;

	if (AreCheatsEnabled ())
	{
		ReportCheat ("WinMatch");

		if (ReTeamGame(Level.Game) != None)
		{
			Score = ReTeamGame(Level.Game).GetScoreLimit ();
		}
		else
		{
			Score = Level.GRI.GoalScore;
		}

		if (PlayerReplicationInfo.Team != none)
		{
			PlayerReplicationInfo.Team.Score = Score;
		}
		else
		{
			PlayerReplicationInfo.Score = Score;
		}

		Level.Game.CheckScore (PlayerReplicationInfo);
	}
}
