class ReFreon_TeamSummaryTicker extends TeamSummaryTicker
	;

protected function UpdatePlayerMetrics (Controller Other, RePRI OtherRePRI, out STeamSummary Out_TeamSummary, int IndexTeam)
{
	local ReFreon_PRI OtherReFreonPRI;

	OtherReFreonPRI = ReFreon_PRI(OtherRePRI);

	if
	(
		(OtherReFreonPRI != None)
		&&
		(OtherReFreonPRI.ThawingPawn != None)
	)
	{
		Out_TeamSummary.Position[IndexTeam] = OtherReFreonPRI.ThawingPawn.Location;
		Out_TeamSummary.HitPoints[IndexTeam] = OtherReFreonPRI.ThawingPawn.Health;
		Out_TeamSummary.MaximumHitPoints[IndexTeam] = 100;

		if (Other.Adrenaline < Other.AdrenalineMax)
		{
			Out_TeamSummary.Flags[IndexTeam] = 0;
        }
        else
        {
			Out_TeamSummary.Flags[IndexTeam] = 1;
        }
	}
	else
	{
		Super.UpdatePlayerMetrics (Other, OtherRePRI, Out_TeamSummary, IndexTeam);
    }
}
